Index: doc/rtems_gdb/Makefile
===================================================================
--- doc/rtems_gdb/Makefile	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/Makefile	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -20,6 +20,5 @@
 
 GENERATED_FILES= \
-    intro.t swarch.t started.t commands.t trouble.t example.t
-
+    intro.texi swarch.texi started.texi commands.texi trouble.texi example.texi
 
 FILES=$(PROJECT).texi $(GENERATED_FILES)
@@ -64,29 +63,29 @@
 	$(BMENU) -p "Top" \
 	    -u "Top" \
-	    -n "" ${*}.t
+	    -n "Software Architecture" ${*}.t
 
 swarch.texi: swarch.t Makefile
-	$(BMENU) -p "Top" \
+	$(BMENU) -p "Introduction" \
+	    -u "Top" \
+	    -n "Getting Started" ${*}.t
+
+started.texi: started.t Makefile
+	$(BMENU) -p "Software Architecture" \
+	    -u "Top" \
+	    -n "Commands" ${*}.t
+
+commands.texi: commands.t Makefile
+	$(BMENU) -p "Getting Started Attaching To The System" \
+	    -u "Top" \
+	    -n "Troubleshooting" ${*}.t
+
+trouble.texi: trouble.t Makefile
+	$(BMENU) -p "Commands Thread control" \
+	    -u "Top" \
+	    -n "Debug Session Example" ${*}.t
+
+example.texi: example.t Makefile
+	$(BMENU) -p "Troubleshooting Debug server not present" \
 	    -u "Top" \
 	    -n "" ${*}.t
 
-started.texi: started.t Makefile
-	$(BMENU) -p "Top" \
-	    -u "Top" \
-	    -n "" ${*}.t
-
-commands.texi: commands.t Makefile
-	$(BMENU) -p "Top" \
-	    -u "Top" \
-	    -n "" ${*}.t
-
-trouble.texi: trouble.t Makefile
-	$(BMENU) -p "Top" \
-	    -u "Top" \
-	    -n "" ${*}.t
-
-example.texi: example.t Makefile
-	$(BMENU) -p "Top" \
-	    -u "Top" \
-	    -n "" ${*}.t
-
Index: doc/rtems_gdb/commands.t
===================================================================
--- doc/rtems_gdb/commands.t	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/commands.t	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -7,5 +7,5 @@
 @c
 
-@section Commands
+@chapter Commands
 
 The usual GDB commands are available to display or modify data structures and
@@ -19,7 +19,7 @@
 
 
-@subsection Host-target connection control
+@section Host-target connection control
 
-@itemize
+@itemize @bullet
 @item (gdb) setrpcmode sun : specifies the SUN RPC type.
 @item (gdb) setdaemontype rdbg : specifies the RDBG debug server type.
@@ -27,7 +27,7 @@
 @end itemize
 
-@subsection System status information
+@section System status information
 
-@itemize
+@itemize @bullet
 @item (gdb) info threads : gives a list of all threads in the debuggee,
 their names, identifiers and states. It also indicates which thread is
@@ -36,7 +36,7 @@
 
 
-@subsection Thread control
+@section Thread control
 
-@itemize
+@itemize @bullet
 @item (gdb) thread target [id] : allows the user to get/set the target thread.
 The argument id is either the thread's symbolic name or its local identifier.
Index: doc/rtems_gdb/example.t
===================================================================
--- doc/rtems_gdb/example.t	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/example.t	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -7,5 +7,5 @@
 @c
 
-@section Debug Session Example
+@chapter Debug Session Example
 
 @example
Index: doc/rtems_gdb/intro.t
===================================================================
--- doc/rtems_gdb/intro.t	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/intro.t	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -17,2 +17,6 @@
 to be familiar with GNU GDB.
 
+The RTEMS project would like to thank Emmanuel Raguet (raguet@crf.canon.fr)
+and Eric Valette (valette@crf.canon.fr) of the Canon Research Centre 
+France S.A. for developing and documenting RTEMS/GDB and submitting it.
+
Index: doc/rtems_gdb/rtems_gdb.texi
===================================================================
--- doc/rtems_gdb/rtems_gdb.texi	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/rtems_gdb.texi	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -65,18 +65,9 @@
 
 @include intro.texi
-@include target.texi
-@include makefiles.texi
-@include linkcmds.texi
-@include support.texi
-@include init.texi
-@include console.texi
-@include clock.texi
-@include timer.texi
-@include rtc.texi
-@include nvmem.texi
-@include network.texi
-@include shmsupp.texi
-@include analog.texi
-@include discrete.texi
+@include swarch.texi
+@include started.texi
+@include commands.texi
+@include trouble.texi
+@include example.texi
 
 @ifinfo
@@ -84,22 +75,13 @@
 @top rtems_gdb
 
-This is the online version of the Getting Started with RTEMS for C/C++ Users.
+This is the online version of the RTEMS/GDB User's Guide.
 
 @menu
 * Introduction::
-* Target Dependent Files::
-* Makefiles::
-* Linker Script::
-* Miscellaneous Support Files::
-* Initialization Code::
-* Console Driver::
-* Clock Driver::
-* Timer Driver::
-* Real-Time Clock Driver::
-* Networking Driver::
-* Non-Volatile Memory Driver::
-* Shared Memory Support Driver::
-* Analog Driver::
-* Discrete Driver::
+* Software Architecture::
+* Getting Started::
+* Commands::
+* Troubleshooting::
+* Debug Session Example::
 @end menu
 
Index: doc/rtems_gdb/started.t
===================================================================
--- doc/rtems_gdb/started.t	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/started.t	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -8,5 +8,5 @@
 
 
-@section Getting Started
+@chapter Getting Started
 
 This section describes the steps which are necessary to set up a
@@ -14,5 +14,5 @@
 
 
-@subsection Compiling The System Components
+@section Compiling The System Components
 
 The components that need to be debugged have to be compiled with the -g option
@@ -21,5 +21,5 @@
 
 
-@subsection Starting a debugging session
+@section Starting a debugging session
 
 After having launched GDB, the user must connect to the RTEMS target with the
@@ -27,11 +27,7 @@
 
 @example
-
 (gdb) setrpcmode sun
-
 (gdb) setdaemontype rdbg
-
 (gdb) target rtems target-name
-
 @end example
 
@@ -43,5 +39,5 @@
 
 
-@subsection Attaching To The System
+@section Attaching To The System
 
 The entire target system is viewed as a single multi-threaded process,
Index: doc/rtems_gdb/trouble.t
===================================================================
--- doc/rtems_gdb/trouble.t	(revision 89d177ebb0edbc8e6ac9b823fd109f1f261975ff)
+++ doc/rtems_gdb/trouble.t	(revision 7b597b85405cb0740cbe57af7c1ad5f0cb665b18)
@@ -8,5 +8,5 @@
 
 
-@section Troubleshooting
+@chapter Troubleshooting
 
 This section describes symptoms in some situations where the debugger does not
@@ -14,5 +14,5 @@
 
 
-@subsection Target machine name unknown on the host
+@section Target machine name unknown on the host
 
 RTEMS/GDB fails to connect to target machine named my_target:
@@ -29,15 +29,13 @@
 
 
-@subsection{Debug server not present
+@section Debug server not present
 
 The target rtems command fails:
 
 @example
-
-(gdb) target rtems my\_target
+(gdb) target rtems my_target
 
 Attaching remote machine across net... RPC timed out. Couldn't connect
 to remote target
-
 @end example
 
